<p align="center">
  <a href="https://tabletopclub.net" target="_blank">
    <img src="tabletop_club_logo.svg" width="256">
  </a>
</p>

Tabletop Club is an open-source multiplayer game that allows you to play your
favourite tabletop games in a physics-driven 3D environment with the use of
easy-to-make
[asset packs](https://docs.tabletopclub.net/en/stable/custom_assets/asset_packs/index.html)!

The game is available on Windows, macOS, and Linux, and is being developed with
the [Godot Engine](https://godotengine.org/).

## Screenshots

<p align="center">
  <img src="screenshots.jpg" alt="Screenshots from the game" width="800">
</p>

## Downloading

<p>
  <a href="https://drwhut.itch.io/tabletop-club"><img src="https://static.itch.io/images/badge-color.svg" alt="Available on itch.io" height="80"></a>
  <a href="https://flathub.org/apps/net.tabletopclub.TabletopClub"><img height="80" alt="Download on Flathub" src="https://dl.flathub.org/assets/badges/flathub-badge-en.png"/></a>
</p>

To download the game, you can either
[download an official binary](https://docs.tabletopclub.net/en/stable/general/download/downloading_binaries.html)
or
[compile the game from source](https://docs.tabletopclub.net/en/stable/general/download/compiling_from_source.html).

## Community

If you want to ask for help, share custom assets, or simply chat with other
players, feel free to join one of our
[community channels](https://tabletopclub.net/community)!

## Languages

[![Translation Status](https://hosted.weblate.org/widgets/tabletop-club/-/svg-badge.svg)](https://hosted.weblate.org/engage/tabletop-club/)

* Chinese (Simplified)
* English
* Dutch
* Esperanto
* French
* German
* Indonesian
* Italian
* Norwegian Bokmål
* Polish
* Portuguese
* Portuguese (Brazil)
* Russian
* Spanish

If you want to help translate the project, you can go to the project's
[Hosted Weblate](https://hosted.weblate.org/engage/tabletop-club/) page.

You can find out more about contributing translations
[here](https://docs.tabletopclub.net/en/stable/general/contributing/ways_to_contribute.html#translating-the-project).

## Contributing

Want to help contribute to the project? Have a look at the
[ways you can contribute](https://docs.tabletopclub.net/en/stable/general/contributing/ways_to_contribute.html)!

## Documentation

[![Documentation Status](https://readthedocs.org/projects/tabletop-club/badge/?version=latest)](https://docs.tabletopclub.net/en/stable/?badge=latest)

The documentation is hosted on [ReadTheDocs](https://docs.tabletopclub.net/en/stable).
